package de.intevation.flys.client.server;

import org.apache.log4j.Logger;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.client.services.RemoveArtifactService;


/**
 * Implementation of RemoveArtifactService .
 */
public class RemoveArtifactServiceImpl
extends      DescribeCollectionServiceImpl
implements   RemoveArtifactService
{
    private static final Logger logger =
        Logger.getLogger(RemoveArtifactServiceImpl.class);


    public Collection remove(
        Collection collection,
        String     artifactId,
        String     url,
        String     locale)
    throws ServerException
    {
        logger.info("RemoveArtifactServiceImpl.remove");

        return CollectionHelper.removeArtifact(collection, artifactId, url, locale);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
